API reference

Chats, contacts and settings API

List and manage chats, check whether numbers are on WhatsApp, read contact profiles, set presence (typing, online), manage labels and the blocklist, update the number's profile and settings, check connection health and fetch media.

DELETE /blacklist/{contact}

Delete a blacklist. Authenticate with your channel token.

FieldInTypeRequiredNotes
contactpathstringYes
curl -X DELETE https://agakural.online/blacklist/{contact} \
  -H "Authorization: Bearer $TOKEN"

PUT /blacklist/{contact}

Update a blacklist. Authenticate with your channel token.

FieldInTypeRequiredNotes
contactpathstringYes
curl -X PUT https://agakural.online/blacklist/{contact} \
  -H "Authorization: Bearer $TOKEN"

GET /chats

Get chats. Authenticate with your channel token.

FieldInTypeRequiredNotes
countqueryintegerNoRange –500
offsetqueryintegerNo
curl -X GET https://agakural.online/chats \
  -H "Authorization: Bearer $TOKEN"

DELETE /chats/{chat}

Delete a chats. Authenticate with your channel token.

FieldInTypeRequiredNotes
chatpathstringYes
curl -X DELETE https://agakural.online/chats/{chat} \
  -H "Authorization: Bearer $TOKEN"

GET /chats/{chat}

Get one chat. Authenticate with your channel token.

FieldInTypeRequiredNotes
chatpathstringYes
curl -X GET https://agakural.online/chats/{chat} \
  -H "Authorization: Bearer $TOKEN"

PATCH /chats/{chat}

Update a chats. Authenticate with your channel token.

FieldInTypeRequiredNotes
chatpathstringYes
pinbodybooleanNo
mutebodyintegerNoRange 0–
archivebodybooleanNo
readbodybooleanNo
curl -X PATCH https://agakural.online/chats/{chat} \
  -H "Authorization: Bearer $TOKEN"

GET /contacts

Get contacts. Authenticate with your channel token.

FieldInTypeRequiredNotes
countqueryintegerNoRange –1000
offsetqueryintegerNo
searchquerystringNoUp to 60 characters
curl -X GET https://agakural.online/contacts \
  -H "Authorization: Bearer $TOKEN"

POST /contacts

Create contacts. Authenticate with your channel token.

FieldInTypeRequiredNotes
contactsbodyarray of stringYes
curl -X POST https://agakural.online/contacts \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"contacts": []}'

DELETE /contacts/{contact}

Delete a contacts. Authenticate with your channel token.

FieldInTypeRequiredNotes
contactpathstringYes
curl -X DELETE https://agakural.online/contacts/{contact} \
  -H "Authorization: Bearer $TOKEN"

GET /contacts/{contact}

Get one contact. Authenticate with your channel token.

FieldInTypeRequiredNotes
contactpathstringYes
curl -X GET https://agakural.online/contacts/{contact} \
  -H "Authorization: Bearer $TOKEN"

PUT /contacts/{contact}

Update a contacts. Authenticate with your channel token.

FieldInTypeRequiredNotes
contactpathstringYes
namebodystringYesUp to 100 characters
curl -X PUT https://agakural.online/contacts/{contact} \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name": "name"}'

GET /contacts/{contact}/profile

Get contacts profile. Authenticate with your channel token.

FieldInTypeRequiredNotes
contactpathstringYes
curl -X GET https://agakural.online/contacts/{contact}/profile \
  -H "Authorization: Bearer $TOKEN"

GET /health

Get health. Authenticate with your channel token.

curl -X GET https://agakural.online/health \
  -H "Authorization: Bearer $TOKEN"

GET /labels

Get labels. Authenticate with your channel token.

curl -X GET https://agakural.online/labels \
  -H "Authorization: Bearer $TOKEN"

POST /labels

Create labels. Authenticate with your channel token.

FieldInTypeRequiredNotes
namebodystringYesUp to 50 characters
colorbodyintegerNoRange 0–19
curl -X POST https://agakural.online/labels \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name": "name"}'

GET /labels/{label}

Get one label. Authenticate with your channel token.

FieldInTypeRequiredNotes
labelpathstringYes
curl -X GET https://agakural.online/labels/{label} \
  -H "Authorization: Bearer $TOKEN"

DELETE /labels/{label}/{chat}

Delete a labels. Authenticate with your channel token.

FieldInTypeRequiredNotes
labelpathstringYes
chatpathstringYes
curl -X DELETE https://agakural.online/labels/{label}/{chat} \
  -H "Authorization: Bearer $TOKEN"

POST /labels/{label}/{chat}

Create a labels. Authenticate with your channel token.

FieldInTypeRequiredNotes
labelpathstringYes
chatpathstringYes
curl -X POST https://agakural.online/labels/{label}/{chat} \
  -H "Authorization: Bearer $TOKEN"

GET /media/{id}

Get one media. Authenticate with your channel token.

FieldInTypeRequiredNotes
idpathstringYes
curl -X GET https://agakural.online/media/{id} \
  -H "Authorization: Bearer $TOKEN"

PUT /presences/{entry}

Update a presences. Authenticate with your channel token.

FieldInTypeRequiredNotes
entrypathstringYes
presencebodyobjectYesOne of: typing, recording, paused, online, offline
curl -X PUT https://agakural.online/presences/{entry} \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"presence": "presence"}'

POST /presences/{entry}/subscribe

Create presences subscribe. Authenticate with your channel token.

FieldInTypeRequiredNotes
entrypathstringYes
curl -X POST https://agakural.online/presences/{entry}/subscribe \
  -H "Authorization: Bearer $TOKEN"

PUT /presences/me

Update presences me. Authenticate with your channel token.

FieldInTypeRequiredNotes
presencebodyobjectYesOne of: typing, recording, paused, online, offline
curl -X PUT https://agakural.online/presences/me \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"presence": "presence"}'

GET /settings

Get settings. Authenticate with your channel token.

curl -X GET https://agakural.online/settings \
  -H "Authorization: Bearer $TOKEN"

PATCH /settings

Update settings. Authenticate with your channel token.

FieldInTypeRequiredNotes
webhooksbodyarray of objectNo
callsbodyobjectNo
curl -X PATCH https://agakural.online/settings \
  -H "Authorization: Bearer $TOKEN"

GET /users/login

Get users login. Authenticate with your channel token.

curl -X GET https://agakural.online/users/login \
  -H "Authorization: Bearer $TOKEN"

GET /users/login/{phone}

Get one users login. Authenticate with your channel token.

FieldInTypeRequiredNotes
phonepathstringYes
curl -X GET https://agakural.online/users/login/{phone} \
  -H "Authorization: Bearer $TOKEN"

POST /users/logout

Create users logout. Authenticate with your channel token.

curl -X POST https://agakural.online/users/logout \
  -H "Authorization: Bearer $TOKEN"

GET /users/profile

Get users profile. Authenticate with your channel token.

curl -X GET https://agakural.online/users/profile \
  -H "Authorization: Bearer $TOKEN"

PATCH /users/profile

Update users profile. Authenticate with your channel token.

FieldInTypeRequiredNotes
namebodystringNoUp to 25 characters
aboutbodystringNoUp to 139 characters
iconbodystringNo
curl -X PATCH https://agakural.online/users/profile \
  -H "Authorization: Bearer $TOKEN"